
Redmine - Defect #26598

no issue-filtering permission for non-admin user

2017-08-01 10:00 - Lucie Zemann

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.3.1

Description

only administrators can filter issues.

non-admin users with full issue-permissions (view, edit...) get "No data to display" on the default filter-page /projects/<name>/issues.

removing the "Status" filter and "Apply"ing, though, then shows all issues in that project.

Environment:

  Redmine version                3.3.1.stable

  Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux-gnu]

  Rails version                  4.2.9

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.9.5

  Git                            2.11.0

  Filesystem                     

Redmine plugins:

  redmine_local_avatars          1.0.0

 all from debian packages

History

#1 - 2017-08-01 10:07 - Lucie Zemann

no error / trace in the redmine-log

#2 - 2017-08-29 15:52 - Toshi MARUYAMA

- Description updated

#3 - 2017-08-29 15:56 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Rails version on Redmine 3.3.1 should be 4.2.7.1.

source:tags/3.3.1/Gemfile#L7
